#!/usr/bin/perl
#  If this doesn't work, try #!/usr/local/bin/perl instead.

print "This script will install YeempBBS with the default recommended\n";
print "configuration on the server you're running it on.\n\n";
print "Note that this will *replace* an older YeempBBS, so if you want\n";
print "to keep your old Yeemp, you'd better back it up first...\n";
$user = `whoami`;
chomp($user);
$hostname = `hostname`;
chomp($hostname);
print "Settings:
	Username = $user
	Hostname = $hostname
	Homedir = $ENV{HOME}
	\n";
print "Press enter to install YeempBBS, ^C (or anything else) to abort.\n";
$line = <STDIN>;
chomp($line);
if ($line ne '') {
	print "Not installing Yeemp.\n";
	exit;
}
print "Installing...\n";
print "Configuration directory...\n";
system "mkdir $ENV{HOME}/.yeempbbs";
system "chmod 755 $ENV{HOME}/.yeempbbs";
undef($/);
open (DEFAULTCFG,"<config/default.cfg")
	|| die "Can't open config/default.cfg\n";
$_ = <DEFAULTCFG>;
close(DEFAULTCFG);
$_ =~ s/yeemphtmldir =(.*?)\n/yeemphtmldir = '$ENV{HOME}\/public_html\/yeemp\/';\n/s;
$_ =~ s/yeempurl =(.*?)\n/yeempurl = 'http:\/\/$hostname\/~$user\/yeemp\/';\n/s;
open(DEFAULTCFG,">$ENV{HOME}/.yeempbbs/default.cfg")
	|| die "Cannot open $ENV{HOME}/.yeempbbs/default.cfg\n";
print DEFAULTCFG $_;
close(DEFAULTCFG);
system "chmod 644 $ENV{HOME}/.yeempbbs/default.cfg";

# Install YeempBBS main dir.
system "mkdir -p $ENV{HOME}/public_html/yeemp/";
system "chmod 755 $ENV{HOME}/public_html/yeemp/";
open(YEEMPBBSCGI,"<yeempbbs.cgi") || die "Cannot read yeempbbs.cgi\n";
$_ = <YEEMPBBSCGI>;
$_ =~ s/yeempcfgdir = (.*?)\n/yeempcfgdir = '$ENV{HOME}\/.yeempbbs\/';\n/s;
close(YEEMPBBSCGI);
open (YEEMPBBSCGI,">$ENV{HOME}/public_html/yeemp/yeempbbs.cgi") ||
	die "Cannot write $ENV{HOME}/public_html/yeemp/yeempbbs.cgi\n";
print YEEMPBBSCGI $_;
close(YEEMPBBSCGI);
system "chmod 755 $ENV{HOME}/public_html/yeemp/yeempbbs.cgi\n";
system "cp html/*.html $ENV{HOME}/public_html/yeemp/";
system "chmod 644 $ENV{HOME}/public_html/yeemp/*.html";
system "perl addbase.pl main";
print "Your YeempBBS should now be accessible at\n";
print "http://$hostname/~$user/yeemp/\n";
print "Enjoy...\n";

